Skip to main content
POST
/
otc
/
onramp
OTC Onramp
curl --request POST \
  --url https://api.linkio.world/otc/onramp \
  --header 'Content-Type: application/json' \
  --header 'ngnc-sec-key: <api-key>' \
  --data '
{
  "customer_id": "<string>",
  "amount": "<string>",
  "wallet_address": "<string>",
  "network": "<string>",
  "paymentDetails": {
    "accountNumber": "<string>",
    "accountName": "<string>",
    "bankName": "<string>"
  }
}
'
{
  "code": "TXN_SUCCESSFUL",
  "status": "Success",
  "message": "<string>",
  "data": {
    "transaction_id": "<string>",
    "reference": "link-otc-12345678",
    "type": "onramp",
    "currency": "<string>",
    "amount": "<string>",
    "stables": "<string>",
    "payout_amount": "<string>",
    "rate": 123,
    "transaction_status": "pending",
    "payment_method": "<string>",
    "date_created": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.linkio.world/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

ngnc-sec-key
string
header
default:""
required

Body

application/json
customer_id
string
required

Your platform’s customer ID for this transaction.

currency
enum<string>
required

Fiat currency being sent.

Available options:
AED,
AOA,
BRL,
CAD,
CDF,
CNY,
DZD,
EGP,
EUR,
GBP,
GHS,
HKD,
IDR,
LYD,
MAD,
MWK,
MZN,
NGN,
PHP,
SGD,
SLE,
SSP,
TRY,
TZS,
UGX,
USD,
XAF,
XOF
amount
string
required

Fiat amount being sent.

stables
enum<string>
required

Stablecoin to receive.

Available options:
USDC,
USDT
wallet_address
string
required

Destination wallet address for the stablecoin.

network
string
required

Blockchain network (e.g., solana, polygon).

paymentDetails
NIP — Bank Transfer (NGN, GHS) · object
required

Your banking details — the account you are paying FROM. Required fields depend on your currency’s payment method. Call GET /otc/rate_quote first to get the paymentMethod for your currency.

Response

Transaction created successfully

code
string
Example:

"TXN_SUCCESSFUL"

status
string
Example:

"Success"

message
string
data
object